
/*************************************************************************
 * Version 1.00  on  28.12.1995
 * (c) 1995 Pralay Dakua
 *     pralay@teil.soft.net
 *
 * This program is free software; permission hereby granted, free of
 * charge, to any person obtaining a copy of this software and
 * associated documentations to copy, modify and  distribute it under
 * the terms of the GNU General Public License as published by
 * the Free Software Foundation, subject to the following conditions:

 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.

 * AS THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
 * FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
 * OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
 * PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
 * OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
 * TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU,  SHOULD THE
 * PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
 * REPAIR OR CORRECTION.
 *
 **************************************************************************/


#ifndef CENTERP_H
#define CENTERP_H

#ifdef __cplusplus
   extern "C" {
#endif


#include <X11/ConstrainP.h>
#include <X11/CompositeP.h>
#include <Xm/ManagerP.h>
#include "Center.h"


typedef struct _XmCenterClassPart {
          int dummy;     /* dummy  variable */
}XmCenterClassPart;

typedef struct _XmCenterClassRec {
          CoreClassPart         core_class;
          CompositeClassPart    composite_class;
          ConstraintClassPart   constraint_class;
          XmManagerClassPart    manager_class;
          XmCenterClassPart     center_class;
}XmCenterClassRec;

extern XmCenterClassRec xmCenterClassRec;

typedef struct _XmCenterPart {
unsigned char orientation;
unsigned char justification;
Dimension spacing;
Boolean distributed;
} XmCenterPart;


typedef struct _XmCenterRec {
          CorePart        core;
          CompositePart   composite;
          ConstraintPart  constraint;
          XmManagerPart   manager;
          XmCenterPart    center;
} XmCenterRec;


#ifdef __cplusplus
  }
#endif

#endif

